TriBot = {targetX = 0, targetY = 0, initialX = 0, initialY = 0, finalX = 0, attackDirection = 0}
TriBot.__index = TriBot

function TriBot.LoadAssets(me)
	LoadModel(me,"TriBot","Animated")
end

function TriBot:Create(me)
	--LoadModel(me,"TriBot","Animated")
	UseGravity(me,false)
	SetHealth(me,6)
	SetPower(me,0)
	
end

function TriBot:Collide(me, you)
	power = GetPower(you)
	TakeDamage(me, power)
	if power > 0
	then
		self.Stunned = 16
	end
end

function TriBot:CollideWorld(me)
	ShakeScreen(8)
	TakeDamage(me, 2);
	SetVelocity(me,0,0)
end

function TriBot:Death(me)
	x,y = GetPosition(me)
	y = y - 32
	CreateEmitter("Explosion", x,y)
end

function TriBot:Update(me)
	UseGravity(me,false)
end
